Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web.portlet
Class MockPortletURL

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortletURL

All Implemented Interfaces:
  PortletURL

    public class MockPortletURL

extends Object
implements PortletURL

Mock implementation of the `PortletURL` interface.

Since:
  2.0
Author:
  John A. Lewis, Juergen Hoeller

Field Summary
`static String` | `URL_TYPE_ACTION`
`static String` | `URL_TYPE_RENDER`

Constructor Summary
`MockPortletURL(PortalContext portalContext, String urlType)` Create a new MockPortletURL for the given URL type.

Method Summary
`String` | `getParameter(String name)`
`Map` | `getParameterMap()`
`Set` | `getParameterNames()`
`String[]` | `getParameterValues(String name)`
`boolean` | `isSecure()`
`void` | `setParameter(String key, String value)`
`void` | `setParameter(String key, String[] values)`
`void` | `setParameters(Map parameters)`
`void` | `setPortletMode(PortletMode portletMode)`
`void` | `setSecure(boolean secure)`
`void` | `setWindowState(WindowState windowState)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### URL_TYPE_RENDER

    public static final String URL_TYPE_RENDER

See Also:
  Constant Field Values

### URL_TYPE_ACTION

    public static final String URL_TYPE_ACTION

See Also:
  Constant Field Values

Constructor Detail

### MockPortletURL

    public MockPortletURL(PortalContext portalContext,
                          String urlType)

  Create a new MockPortletURL for the given URL type.

  Parameters:
    `portalContext` - the PortalContext defining the supported PortletModes and WindowStates
    `urlType` - the URL type, for example "render" or "action"
  See Also:
    `URL_TYPE_RENDER`, `URL_TYPE_ACTION`

Method Detail

### setWindowState

    public void setWindowState(WindowState windowState)
                        throws WindowStateException

  Specified by:
    `setWindowState` in interface `PortletURL`
  Throws:
    `WindowStateException`

### setPortletMode

    public void setPortletMode(PortletMode portletMode)
                        throws PortletModeException

  Specified by:
    `setPortletMode` in interface `PortletURL`
  Throws:
    `PortletModeException`

### setParameter

    public void setParameter(String key,
                             String value)

  Specified by:
    `setParameter` in interface `PortletURL`

### setParameter

    public void setParameter(String key,
                             String[] values)

  Specified by:
    `setParameter` in interface `PortletURL`

### setParameters

    public void setParameters(Map parameters)

  Specified by:
    `setParameters` in interface `PortletURL`

### getParameterNames

    public Set getParameterNames()

### getParameter

    public String getParameter(String name)

### getParameterValues

    public String[] getParameterValues(String name)

### getParameterMap

    public Map getParameterMap()

### setSecure

    public void setSecure(boolean secure)
                   throws PortletSecurityException

  Specified by:
    `setSecure` in interface `PortletURL`
  Throws:
    `PortletSecurityException`

### isSecure

    public boolean isSecure()

### toString

    public String toString()

  Specified by:
    `toString` in interface `PortletURL`
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.